<?php
	//include("conexioncrud.php");
	include("datos_sistema.php"); 
	require 'PHPMailer-master/src/Exception.php';
	require 'PHPMailer-master/src/PHPMailer.php';
	require 'PHPMailer-master/src/SMTP.php';
	/*ini_set('display_errors', 1);
	error_reporting(E_ALL);*/
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		$asunto=$_POST['asunto_mensaje'];
		$titulo=$_POST['titulo_mensaje'];
		$mensaje=$_POST['mensaje_mensaje'];
		$nivel=$_POST['nivel'];
		$correos = array();
		if ($nivel == "") {
			$enviado_a = "A todos los niveles";
			$sql_mails_nivel = "SELECT * FROM alumnos";
    		$query_mails_nivel = mysqli_query($con, $sql_mails_nivel);
    		while ($rownivel = mysqli_fetch_assoc($query_mails_nivel)) {
    			$correos[] = $rownivel['mail'];
    		}
		} else {
			$enviado_a = $nivel;
			$sql_mails_nivel = "SELECT * FROM alumnos WHERE nivel_estudio = '$nivel'";
    		$query_mails_nivel = mysqli_query($con, $sql_mails_nivel);
    		while ($rownivel = mysqli_fetch_assoc($query_mails_nivel)) {
    			$correos[] = $rownivel['mail'];
    		}

		}		
		$sql="INSERT INTO avisos_enviados (asunto, titulo, mensaje, creado_por, estado, enviado_a) 
		VALUES ('$asunto', '$titulo', '$mensaje', '$nombre_apellido', 'Activo', '$enviado_a')";
		$resultado=mysqli_query($con,$sql);
		$id_usuario=mysqli_insert_id($con);
	  	$succ="";
		
	  	if (!$resultado) {
			$succ="err";
			header("Location:registrar_aviso.php?client=$succ");
			//echo 'error al registrarse';
		}else{
			// Aquí empieza la parte de PHPMailer para el envío de correos
	        $mail = new PHPMailer\PHPMailer\PHPMailer();
	        try {
	            // Configuración del servidor SMTP
	            $mail->isSMTP();
	            $mail->Host = 'mail.tendenciadigital.cl'; // Servidor SMTP
	            $mail->SMTPAuth = true;
	            $mail->Username = '_mainaccount@tendenciadigital.cl'; // Tu usuario
	            $mail->Password = 'I-w*c=*NsCWl'; // Tu contraseña de cPanel
	            $mail->SMTPSecure = PHPMailer\PHPMailer\PHPMailer::ENCRYPTION_SMTPS; // Usar SSL
	            $mail->Port = 465; // Puerto SMTP

	            $mail->setFrom('_mainaccount@tendenciadigital.cl', 'VECTOR WEB COLEGIO'); // Cambia 'Nombre Remitente' por tu nombre

		        // Configuración del mensaje
		        $mail->isHTML(true); // Establecer formato de correo a HTML
		        $mail->Subject = $asunto;
		        $mail->Body = "<h1>$titulo</h1><p>$mensaje</p>";

		        // Iterar sobre los correos y enviar a cada uno
		        foreach ($correos as $correo) {
		            $mail->addAddress($correo); // Añadir destinatario
		            
		            // Enviar el correo
		            if (!$mail->send()) {
		                echo 'Error al enviar el correo a: ' . $correo . ' - Error: ' . $mail->ErrorInfo;
		            }

		            // Limpiar los destinatarios para el siguiente correo
		            $mail->clearAddresses();
		        }

	            // Redirigir después del envío exitoso
	            $succ = "succ2";
	            header("Location: registrar_aviso.php?client=$succ");

	        } catch (Exception $e) {
	            echo "Error al enviar el mensaje: {$mail->ErrorInfo}";
	        }
	    }
		mysqli_close($con);
	} else {
	    echo 'Solicitud incorrecta.';
	}


?>
